V1.0
get
/ec-designer-edc-svc/rest/v1.0/studies/{studyId}/ehrmapping/all
Returns EHR mappings for all supported question types. Use /v20.0 form APIs for current behavior and payload structure.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
All EHR mappings returned successfully.
Examples
500 Response
Error
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.